Friday, 26 February 2010

upgrading from ruby 1.8.6 to 1.8.7

We recently updated to use the latest passenger (2.2.10) and Ruby Enterprise Edition 1.8.7. This was a move from 2.2.4 and 1.8.6 respectively. (We also upgraded to Nginx 0.7.4)

So far it seems to be a very worthwhile move! I had looked into using ruby 1.9, but ran into may issues with gems.

Here are some Munin charts.

Mysql... this I don't even understand! What a difference!

Memory - also seems to be a nice drop.

Individual Interupts


The webapp itself was not changed at all. it is still using Rails 2.2.2.